Skip to main content
`Ctrl`+`K`

# PetscSubcommSetTypeGeneral

Divides up a communicator based on a specific user’s specification

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscSubcommSetTypeGeneral(PetscSubcomm psubcomm, PetscMPIInt color, PetscMPIInt subrank)

Collective

## Input Parameters

- psubcomm - `PetscSubcomm` context

- color - control of subset assignment (nonnegative integer). Processes with the same color are in the same subcommunicator.

- subrank - rank in the subcommunicator

## See Also

`PetscSubcommType`, `PETSC_SUBCOMM_CONTIGUOUS`, `PETSC_SUBCOMM_INTERLACED`, `PetscSubcommCreate()`, `PetscSubcommDestroy()`, `PetscSubcommSetNumber()`, `PetscSubcommSetType()`

## Level

advanced

## Location

src/sys/objects/subcomm.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages